CWS.X(1)

NAME
cws.x, cws-<num>d.x - create weight systems and combined weight systems.

SYNOPSIS
cws.x -<options>

DESCRIPTION
The cws-<num>d.x variant programs, where <num> is one of 4, 5, 6 and 11 work in different dimensions ; cws.x defaults to dimension 6. Beware: the first option must be -w, -c, -i, -d or -h.

  Options

-h  print this information

-f  use as filter; otherwise parameters denote I/O files

-w# [L H] make IP weight systems for #-dimensional polytopes.
    For #>4 the lowest and highest degrees L<=H are required.

-r/-t make reflexive/transversal weight systems (optional).

-c# make combined weight systems for #-dimensional polytopes. For #<=4 all relevant combinations are made by default, otherwise the following option is required:

    -n[#] followed by the names wf_1 ... wf_# of weight files

    currently #=2,3 are implemented.

    [-t] followed by # numbers n_i specifies the CWS-type, i.e.

    the numbers n_i of weights to be selected from wf_i. Currently all cases with n_i<=2 are implemented.

-i  compute the polytope data M:p v [F:f] N:p [v] for all IP CWS, where p and v denote the numbers of lattice points and vertices of a dual pair of IP polytopes; an entry F:f and no v for N indicates a non-reflexive `dual pair'.

-d# compute basic IP weight systems for #-dimensional reflexive Gorenstein cones;

-r# specifies the index as #/2.

-2  adjoin a weight of 1/2 to the input weight system.

-N  make CWS for PPL in N lattice.

SEE ALSO
A complete manual is available here : http://arxiv.org/abs/1205.4147